Bug 1430723 - Git is unable to use HTTP(S)-SSO because of wrong check of libcurl
Summary: Git is unable to use HTTP(S)-SSO because of wrong check of libcurl
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: git
Version: 6.9
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: pstodulk
QA Contact: qe-baseos-daemons
Lenka Špačková
URL:
Whiteboard:
Keywords: FastFix
Depends On: 1368384
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-09 12:26 UTC by pstodulk
Modified: 2018-04-23 11:58 UTC (History)
1 user (show)

(edit)
*Git* cannot be used with HTTP or HTTPS and SSO

*Git* provides the `http.delegation` configuration variable, which corresponds to the cURL `--delegation` parameter, for use when delegation of Kerberos tickets is required. However, *Git* included in Red Hat Enterprise Linux 6 contains irrelevant checks of the version of the *libcurl* library while required fixes are provided by a different version of *libcurl* on RHEL 6 systems. As a consqeuence, using *Git* with Single Sign-On on HTTP or HTTPS connections fails. To work around this problem, use the *Git* version provided by the _rh-git29_ Software Collection from Red Hat Software Collections.
Clone Of:
(edit)
Last Closed: 2017-12-06 10:46:51 UTC


Attachments (Terms of Use)

Description pstodulk 2017-03-09 12:26:55 UTC
Description of problem:
The last build git-1.7.1-8.el6 contains irrelevant checks of version of libcurl library. These were relevant for upstream versions, however the required fixes are provided in different version of libcurl on RHEL 6 systems. According to this problem, the new http.delegation option (provided in the last build of git) doesn't work and prints warning message when it is used instead of any other functionality.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. git config --global http.delegation policy
2. git clone http://<your-repository>

Actual results:
warning about old libcurl that doesn't support delegation option


Expected results:
set delegation parameter for libcurl correctly.

Additional info:

Comment 1 Jan Kurik 2017-12-06 10:46:51 UTC
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/


Note You need to log in before you can comment on or make changes to this bug.